# This is a simplified version of pymatgen's approach
def write_volumetric_data(self, file_obj):
    # ... (some setup code)
    
    def write_plane(plane):
        npstr = []
        for i, val in enumerate(plane):
            if i > 0 and i % 5 == 0:
                npstr.append("\n")
            npstr.append("{:.10e}".format(val))
        file_obj.write(" ".join(npstr) + "\n")

    for plane in self.data:
        write_plane(plane)
