from ase.build import bulk

# Create a conventional copper FCC structure
cu_fcc_conventional = bulk('Cu', 'fcc', a=3.6, cubic=True)

print("Conventional Cu FCC:")
print(cu_fcc_conventional)
print(f"Number of atoms: {len(cu_fcc_conventional)}")
print(f"Cell vectors:\n{cu_fcc_conventional.cell}")
print(f"Atomic positions:\n{cu_fcc_conventional.get_scaled_positions()}")
